POST Agents/Import/CreateErpImportData
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Import/CreateErpImportData
Populates the ImportLines and columnDefs basedfrom erp system
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Import/CreateErpImportData?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
Restriction, Columns, ConnectionId, ErpActorType
| Property Name | Type | Description |
|---|---|---|
| Restriction | Array | |
| Columns | Array | |
| ConnectionId | Integer | |
| ErpActorType | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ImportErpData
| Property Name | Type | Description |
|---|---|---|
| ImportLines | array | An array of Import lines |
| ColumnInfos | array | Array of column definitions |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Import/CreateErpImportData
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"Restriction": [
{
"Name": "Roob-Kautzer",
"Operator": "ratione",
"Values": [
"voluptatum",
"ratione"
],
"DisplayValues": [
"aut",
"commodi"
],
"ColumnInfo": null,
"IsActive": true,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 698,
"InterOperator": "And",
"UniqueHash": 527
}
],
"Columns": [
"consectetur",
"accusantium"
],
"ConnectionId": 159,
"ErpActorType": "Customer"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ImportLines": [
{
"Values": [
"CUST-10523",
"Acme Corporation",
"Manufacturing",
"New York",
"USA"
],
"Selected": true,
"Operation": "ContactAdded",
"Type": "Contact",
"ExternalKey": "ERP-CUSTOMER-10523",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 540
}
}
}
],
"ColumnInfos": [
{
"Name": "customer_id",
"DisplayName": "Customer ID",
"Locked": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 50
}
}
},
{
"Name": "company_name",
"DisplayName": "Company Name",
"Locked": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 200
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 236
}
}
}